Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Interface PrefixResolver

All Known Implementing Classes:
  PrefixResolverDefault, ElemTemplateElement, Stylesheet

public interface PrefixResolver

**For advanced use only** This class that implements this interface can resolve prefixes to namespaces.

Method Summary
`java.lang.String` | `getBaseIdentifier()` **For advanced use only** Return the base identifier.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix)` **For advanced use only** Given a namespace, get the corrisponding prefix.
`java.lang.String` | `getNamespaceForPrefix(java.lang.String prefix, org.w3c.dom.Node context)` **For advanced use only** Given a namespace, get the corrisponding prefix.

Method Detail

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix)

  **For advanced use only** Given a namespace, get the corrisponding prefix. This assumes that the PrevixResolver hold's it's own namespace context, or is a namespace context itself.

### getNamespaceForPrefix

    public java.lang.String getNamespaceForPrefix(java.lang.String prefix,
                                                  org.w3c.dom.Node context)

  **For advanced use only** Given a namespace, get the corrisponding prefix.

### getBaseIdentifier

    public java.lang.String getBaseIdentifier()

  **For advanced use only** Return the base identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.